# SEO

In general, <code class="expression">space.vars.Company</code> converts everything you build in Webflow into Shopify. We encourage you to follow best practices for SEO structure and guidelines. On this page, we share some tips we’ve learned over the years, with more to come.

## HTML Lang Attribute

During the conversion process, we replace the default `lang=""` set by Webflow with Shopify’s `request.locale.iso_code` object. This ensures the correct language attribute is applied based on the user’s request and your store’s language settings.

## Structured Data (Schema)

You can add your structured data directly in the head section of the selected page. Additionally, you can replace JSON strings with Liquid variables, making it adaptable for page templates like product or collection pages. Our default settings can be found in the [Webflow Starter Kit](/useful/liquiflow-starter-templates.md).

## Page Title and Meta Description

You can use page objects within Webflow’s page settings. For example, the page title can be accessed with `{{ page_title }}`, and the description with `{{ page_description }}`. These can be edited directly in Shopify. To update SEO information, go to the specific page in Shopify, scroll to the bottom, and edit the search engine listing.

## File Size

We recommend not implementing assets directly in Webflow. Instead, add them via the Shopify theme editor and CMS. There, you can use the Liquid `image_tag` [filter](https://shopify.dev/docs/api/liquid/filters/image_tag) to control image size based on its usage. This is particularly useful when content editors upload large files, which can hurt SEO. Shopify will automatically resize the image to the appropriate size using the `image_tag` filter.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.liquiflow.app/useful/seo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
